// main button settings // 

.component__button {
    @include componentButton;
}

.slide__button {
    @include slideButton;
}

.show-all__button {
    @include showAllButton;
}

.add-to-basket__button {
    @include addToBasketButton;
}

.articles__button {
    @include articlesButton;
}

.request-call__button {
    @include requestCallButton;
}

.card-favorite__button {
    @include cardFavoriteButton;
}

.recipes-text__button {
    @include recipesTextButton;
}

.principles__button {
    @include principlesButton;
}

.information-order__button {
    @include informationOrderButton;
}

.information-service__button {
    @include informationServiceButton;
}

.filters__button {
    @include filtersButton;
}

.apply-filters__button {
    @include applyFiltersButton;
}

.reset-filter__button {
    @include resetFilterButton;
}

.offer-your-price__button {
    @include offerYourPriceButton;
}

.add-to-cart__button {
    @include addToCartButton;
}

.buy-in-1-click__button {
    @include buyIn1ClickButton;
}

.add-to-favorites__button {
    @include addToFavoritesButton;
}

.cabinet__tab {
    @include cabinetTab;
}

.logout__button {
    @include logoutButton; 
}

.save-changes__button {
    @include saveChangesButton;
}

.changes-saved {
    @include changesSaved; 
}

.my-order__button {
    @include myOrderButton;
}

.mobile-callback__button {
    @include mobileCallbackButton;
}

.registration__button {
    @include registrationButton;
}

.сlose-filters__button {
    @include сloseFiltersButton;
}

.offer-price__button {
    @include offerPriceButton;
}

.offer-price__close {
    @include offerPriceClose;
}

.callback-modal__button {
    @include callbackModalButton;
}

.breadcrumbs {
    @include breadcrumbs;
}

.cabinet__wrapper__button {
    @include cabinetWrapperButton;
}


// card product 

.card__product {
    max-width: 275px;
    padding: 30px;
    background-color: $white;
    border-radius: 10px;
    position: relative;
    transition: 0.4s ease;
    overflow: visible;
    z-index: 1;

    .card__link {
        cursor: pointer;

        &:hover {
            .card__text {
                color: $blueHover
            }
        }
    }

    .card__icon {
        @include cardIcon; 
    }

    .card__image {
        width: 100%;
        margin-bottom: 20px
    }

    .card__text {
        @include cardText;
        transition: 0.4s ease;
    }

    .card__price {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .price {
            @include price;
        }
    }

    &:hover {
        box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);
    }
}

@media (max-width: 1900px) {
    .card__product {
       
        .card__price {
            flex-direction: column;
            align-items: flex-start;
            gap: 15px;
        }
    }

}

@media (max-width: 1360px) {
    .card__product {
        max-width: 230px;
    }

}

@media (max-width: 768px) {
    .card__product {
        max-width: 180px;
        
        .card__text {
            font-size: 14px;
        }

        .card__price {
            .price {
                font-size: 20px;
            }
        }
    }
}

// order card 

.my-order__card {
    background-color: $white;
    padding: 20px 40px 40px 40px;
    border-radius: 10px;

    &:not(:last-child) {
        margin-bottom: 20px;
    }
    
    .my-order__head {
        display: flex;
        justify-content: space-between;
        padding-bottom: 20px;
        border-bottom: 1px solid $gray04;
        margin-bottom: 25px;

        .my-order-number {
            @include myOrderNumber;
        }

        .my-order__wrapper {
            display: flex;
            gap: 40px;

            .my-order-status {
                @include myOrderStatus;
            }

            .wait-payment {
                background-color: $yellow01;
            }

            .canceled {
                background-color: $blue;
            }

            .delayed {
                background-color: $red;
            }

            .paid {
                background-color: $green;
            }

            .my-order-date {
                @include myOrderDate;
            }
        }
    }

    .my-order__body {
        position: relative;
        transition: 0.4s ease;
        display: flex;
        flex-direction: column;

        .my-order__block {
            display: grid;
            grid-template-columns: repeat(4, auto);
            margin-bottom: 30px;

            .my-order-info {
                .my-order-title {
                    @include myOrderTitle;
                }

                .my-order-value {
                    @include myOrderValue;
                }
            }
        }

        .my-order__button {
            order: 3;
        }
        .my-order__list {
            max-height: 0;
            overflow: hidden;
            transition: 0.4s ease;
            
            .my-order-product {
                display: flex;
                align-items: center;
                border: 1px solid $gray04;
                border-radius: 10px;
                margin-bottom: 20px;
                transition: 0.4s ease;

                .my-order-product__image {
                    border-right: 1px solid $gray04;
                    max-width: 205px;
                    width: 100%;
                    height: auto;
                }

                .my-order-product__content {
                    padding: 30px;

                    .my-order-product__title {
                        @include myOrderProductTitle;
                    }

                    .my-order-product__wrapper {
                        display: flex;
                        gap: 60px;

                        .my-order-product__info {
                            display: flex;
                            align-items: center;
                            gap: 5px;

                            .my-order-product-name {
                                @include myOrderProductName;
                            }

                            .my-order-product-value {
                                @include myOrderProductValue;
                            }
                        }
                    }
                }

                &:hover {
                    .my-order-product__content {
                        .my-order-product__title  {
                            color: $blueHover;
                        }
                    }

                }
            }
        }
    }
}

@media (max-width: 1360px) {
    .my-order__card {
        padding: 20px 30px 30px 30px;

        .my-order__head {
            .my-order__wrapper {
                gap: 20px;
            }
        }

        .my-order__body {
            .my-order__block {
                justify-content: space-between;
            }

            .my-order__list {
                .my-order-product {  
                    .my-order-product__image {
                        max-width: 185px;
                    }

                    .my-order-product__content {
                        padding: 20px;
                    }
                }
            }
        }
    }
}

@media (max-width: 768px) {
    .my-order__card {
        padding: 20px 20px 20px 20px;

        .my-order__head {
            flex-direction: column;

            .my-order-number {
                margin-bottom: 10px;
            }

            .my-order__wrapper {
                gap: 10px;
            }
        }

        .my-order__body {
            .my-order__block {
                grid-template-columns: repeat(2, auto);
                justify-content: inherit;
                gap: 20px
            }

            .my-order__list {
                .my-order-product {
                    .my-order-product__content {
                        .my-order-product__wrapper {
                            gap: 30px;
                        }
                    }
                }
            }
        }
    }
}

@media (max-width: 576px) {
    .my-order__card {
        .my-order__body {
            .my-order__list {
                .my-order-product {
                    flex-direction: column;

                    .my-order-product__image {
                        border-right: 0;
                        max-width: 100%;
                        width: auto;
                    }

                    .my-order-product__content {
                        border-top: 1px solid #e4e8f0;

                        .my-order-product__wrapper {
                            flex-direction: column;
                            gap: 0;
                        }
                    }
                }
            }
        }
    } 
}

// basket card product // 

.basket-card__item {
    display: flex;
    background-color: $white;
    transition: 0.4s ease;
    position: relative;
    max-width: 1085px;
    width: 100%;
    border-radius: 10px;
    margin-bottom: 40px;

    .basket-card__image-wrapper {
        border-right: 1px solid $gray04;
        padding-left: 40px;
        padding-right: 40px;
        display: flex;
        align-items: center;

        .basket-card__image {
            width: 100%;
        }
    }

    .basket-card__content {
        width: 100%;
        padding: 50px 40px;
       

        .basket-card-close__button {
            @include basketCardCloseButton;
            position: absolute;
            right: 25px;
            top: 15px;
        }

        .basket-card__title {
            @include basketCardTitle;
            margin-bottom: 30px;
        }

        .basket-card__control {
            display: flex;
            justify-content: space-between;

            .management__quantity {
                display: flex;
                gap: 8px;

                .quantity__button {
                    @include quantityButton;
                }

                .quantity__input {
                    @include quantityInput;
                }
            }

            .information__price {
                text-align: end;
                
                .piece__price {
                    @include piecePrice;
                }

                .total__price {
                    @include totalPrice;
                }
            }
        }
    }

    &:hover {
        box-shadow: 0px 30px 30px -15px rgba(21, 44, 55, 0.1);

        .basket-card__content {
            .basket-card__title {
                color: $blueHover;
            }
        }
    }
}

@media (max-width: 1560px) {
    .basket-card__item {
        .basket-card__image-wrapper {
             width: 210px;
             padding-left: 30px;
             padding-right: 30px;
         }

        .basket-card__content {
             padding: 30px;

             .basket-card-close__button {
                 right: 15px;
                 top: 10px;
             }
         }
    }
}

@media (max-width: 992px) {
    .basket-card__item {
        .basket-card__image-wrapper {
             width: 240px;
             padding-left: 10px;
             padding-right: 10px;
         }
    }
}

@media (max-width: 576px) {
    .basket-card__item {
        flex-direction: column;

        .basket-card__content {
            padding: 20px;
            width: auto;
        }

       .basket-card__image-wrapper {
            width: 100%;
            height: 192px;
            padding-left: 0;
            padding-right: 0;
            justify-content: center;
            border-right: 0;
            border-bottom: 1px solid #e4e8f0;

            .basket-card__image {
                width: 250px;
            }
        }
    }
}
// form section // 

.section__form {
    .form__wrapper {
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color: $white;
        border-radius: 10px;
        padding: 46px 50px;
        background-image: url('../img/background/form-1.png');
        background-repeat: no-repeat;
        background-position: left;
        background-size: contain;
        position: relative;

        &::after {
            position: absolute;
            content: url('../img/icon/form-logo.svg');
            top: 65%;
            transform: translateY(-50%);
            left: 360px;
        }

        .form__header {
            flex: 0 1 30%;

            .form__title {
                @include formTitle; 
            }
        }

        .form__content {
            max-width: 100%;
            flex: 0 1 70%;
            
            .request-call__form {
                display: grid;
                grid-template-columns: repeat(3, auto);
                justify-content: space-between;
                
                .request-call__input {
                    @include input;
                    width: 290px;
                    height: 66px;
                }
            }
        }
    }
}

@media (max-width: 1900px) {
    .section__form {
        .form__wrapper {
            background-position-x: left;
            background-image: url('../img/background/form-4.png');
            padding: 40px 40px;

            &::after {
                top: 60%;
                left: 275px;
            }

            .form__header {
                flex: 0 1 25%;
            }

            .form__content {
                flex: 0 1 60%;

                .request-call__form  {
                    grid-template-columns: repeat(2, auto);
                    justify-content: center;
                    gap: 30px;
                    
                    .request-call__input {
                        width: 350px;
                    }

                    .request-call__button {
                        grid-column: 1 / 3;
                        place-self: center;
                        width: 50%;
                    }
                }
            }
        }
    }
}

@media (max-width: 1670px) {
    .section__form  {
        .form__wrapper {
            background-image: url('../img/background/form-2.png');

            &::after {
                left: 410px;
            }

            .form__header {
                flex: 0 1 30%;
            }

            .form__content {
                .request-call__form {
                    grid-template-columns: repeat(1, auto);
                    justify-content: end;

                    .request-call__input {
                        width: 600px;
                    }

                    .request-call__button {
                        grid-column: 1;
                        place-self: center;
                        width: 100%;
                    }
                }
            }
        }
    }
}

@media (max-width: 1190px) {
    .section__form {
        .form__wrapper {
            .form__header {
                flex: 0 1 35%;
            }

            .form__content {
                .request-call__form { 
                    .request-call__input {
                        width: 400px;
                    }
    
                    .request-call__button {
                        width: 400px;
                    }
                }
            }
        }
    }
}

@media (max-width: 992px) {
    .section__form {
        .form__wrapper {
            flex-direction: column;
            background-position-x: center;
            background-position-y: top;
            background-image: url('../img/background/form-3.png');
            height: 100%;
            background-size: unset;

            &::after {
                left: 50%;
                transform: translateX(-50%);
                top: 160px;
            }

            .form__header {
                flex: 0 1 100%;
                margin-bottom: 170px;
                margin-top: 20px;
            }

            .form__content {
                flex: 0 1 100%;
                width: 100%;

                .request-call__form { 
                    grid-template-columns: repeat(2,auto);
                    justify-content: center;

                    .request-call__input {
                        width: 300px;
                    }
    
                    .request-call__button {
                        grid-column: 1 / 3;
                        place-self: center;
                        width: 300px;
                    }
                }
            }
        }
    }
}

@media (max-width: 768px) {
    .section__form {
        .form__wrapper {
            .form__content {
                .request-call__form {
                    grid-template-columns: repeat(1, 100%);

                    .request-call__input {
                        width: 100%;
                    }
    
                    .request-call__button {
                        grid-column: 1;
                        place-self: center;
                        width: 100%;
                    }
                }
            }
        }
    }
}

@media (max-width: 576px) {
    .section__form {
        .form__wrapper {
            background-image: url('../img/background/form-5.png');

            &::after {
                top: 80px;
            }

            .form__header {
                margin-top: -10px;
                margin-bottom: 110px;
            }

            .form__content {
                .request-call__form {
                    .request-call__input {
                        height: 60px;
                    }
                }
            }
        }
    }

}

// main products slider // 

.section__products {
    overflow: visible;
    position: relative;

    .section__title-wrapper {
        @include sectionTitleWrapper;
       
    }

    .products {
        position: relative;
        
    }

    .seafood__slider-pagination {
        @include productSliderPagination;

        .swiper-pagination-bullet {
            @include swiperPaginationBullet;
        }
        
        .swiper-pagination-bullet-active {
            @include swiperPaginationBulletActive; 
        }
    }

    .meatfood__slider-pagination {
        @include productSliderPagination;

        .swiper-pagination-bullet {
            @include swiperPaginationBullet;
        }
        
        .swiper-pagination-bullet-active {
            @include swiperPaginationBulletActive; 
        }
    }
}

// page navigation //

.page-navigation {
    display: flex;
    gap: 15px;

    .page-navigation__button {
        @include pageNavigationButton;
    }

    .page-show-more {
        @include pageShowMore;
    }

    .page-number--active {
        @include pageNumberActive;
    }
}

@media (max-width: 768px) {
    .page-navigation {
        flex-wrap: wrap;

        .page-show-more {
            margin-top: 15px
        }

    }
}

@media (max-width: 567px) {
    .page-navigation {
        justify-content: space-between;
    }
}

// registration form //

.registration__form {
    .reg__block {
        .reg__title {
            @include regTitle;
        }

        &:not(:last-child) {
            margin-bottom: 50px;
        }

        .reg-type__content {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr;
            gap: 40px;

            .reg-type__radio {
                .reg-type__label {
                    @include regTypeLabel;
                }

                .reg-type__input {
                    position: absolute;
                    left: -9999px;

                    &:checked {
                        + {
                            .reg-type__label {
                                border: 2px solid $yellow01;
                                color: $black;

                                &:before {
                                    border: 1px solid $yellow01;
                                }

                                &:after {
                                    background-color: $yellow01;
                                    opacity: 1;
                                }
                            }
                        }
                    }
                }
            }
        }

        .fill-details__content {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr;
            gap: 40px;
            margin-bottom: 50px;

            .fill-details__data {
                &:last-child {
                    grid-column: -1/2;
                }

                .fill-details__label {
                    @include DataLabel;
                }

                .fill-details__input {
                    @include input;
                    @include DataInput;
                }
            }
        }
    }
}

.login__form {
    .reg__block {
        .fill-details__content {
            display: grid;
            grid-template-columns: 1fr 1fr;
            align-items: flex-end;
            gap: 40px;
            margin-bottom: 50px;

            .fill-details__data {
               
                .fill-details__label {
                    @include DataLabel;
                }

                .fill-details__input {
                    @include input;
                    @include DataInput;
                }
            }
        }
    }
}

.without-registration__form {
    .reg__block {
        .fill-details__content {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr 1fr;
            align-items: flex-end;
            gap: 40px;
            margin-bottom: 50px;

            .fill-details__data {
                &:last-child {
                    grid-column: 1/5;
                }
               
                .fill-details__label {
                    @include DataLabel;
                }

                .fill-details__input {
                    @include input;
                    @include DataInput;
                }
            }
        }
    }
}

@media (max-width: 1280px) {
    .registration__form {
        .reg__block {
            
            &:not(:last-child) {
                margin-bottom: 40px;
            }

            .reg-type__content {
                grid-template-columns: 1fr 1fr 1fr;
                gap: 24px;
                margin-bottom: 40px;
            }

            .fill-details__content {
                grid-template-columns: 1fr 1fr 1fr;
                gap: 25px;

                .fill-details__data {
                    &:last-child {
                        grid-column: 1/-1;
                    }
                }
            }
        }
    }

    .login__form {
        .registration__button {
            grid-column: 1/-1;
        }
    }

    .without-registration__block {
        .reg__block {
            .fill-details__content {
                grid-template-columns: 1fr 1fr;

                .fill-details__data {
                    &:last-child {
                        grid-column: 1/3;
                    }
                }
            }
        }
    }
}

@media (max-width: 992px) {
    .registration__form {
        .reg__block {
            .reg-type__content {
                grid-template-columns: 1fr 1fr;
            }
        }
    }
}

@media (max-width: 768px) {
    .registration__form {
        .reg__block {
            .fill-details__content {
                grid-template-columns: 1fr 1fr ;
               
                .fill-details__data {
                    &:last-child {
                        grid-column: -1/2;
                    }
                }
            }
        }
    }

    
}

@media (max-width: 576px) {
    .registration__form {
        .reg__block {
            .reg-type__content {
                grid-template-columns: 1fr;
            }

            .fill-details__content {
                grid-template-columns: 1fr;
               
                .fill-details__data {
                    &:last-child {
                        grid-column: auto;
                    }
                }
            }
        }
    }

    .login__form {
        .reg__block {
            .fill-details__content {
                grid-template-columns: 1fr;
            }
        }
    }

    .without-registration__block {
        .reg__block {
            .fill-details__content {
                grid-template-columns: 1fr;

                .fill-details__data {
                    &:last-child {
                        grid-column: 1/2;
                    }
                }
            }
        }
    }
}


.ymaps-2-1-79-ground-pane {
    filter: grayscale(1) brightness(1) invert(0);
}






